# Makefile for MicroEMACS for MSDOS (Microsoft C 4.0).
# this makefile designed for a better "make" than microsofts!
# Anyway, this uses the "compact" model (small code, big data).

SYS	= msdos
TTY	= ibmbios

# CDEFS gets defines, and gets passed to lint. CFLAGS gets flags, and doesn't
# get passed to lint.
CDEFS	= -DDPROMPT -DSTARTUP
#CFLAGS	= -Zi -Od -Mc $(CDEFS)
CFLAGS	= -Mc $(CDEFS)

OBJ1 =	basic.obj buffer.obj cinfo.obj display.obj echo.obj extend.obj
OBJ2 =	file.obj kbd.obj line.obj main.obj match.obj random.obj region.obj
OBJ3 =	search.obj symbol.obj version.obj window.obj paragrap.obj prefix.obj
OBJ4 =	word.obj fileio.obj spawn.obj ttyio.obj tty.obj ttykbd.obj pollkbd.obj
OBJ =	$(OBJ1) $(OBJ2) $(OBJ3) $(OBJ4)

OSRCS = fileio.c spawn.c ttyio.c tty.c ttykbd.c
SRCS =	basic.c buffer.c cinfo.c display.c echo.c extend.c file.c kbd.c \
	line.c main.c match.o random.c region.c search.c symbol.c version.c \
	window.c word.c paragrap.c prefix.c
OINCS =	ttydef.h sysdef.h
INCS =	def.h

mg.exe:		$(OBJ)
#		$(CC) $(CFLAGS) -o mg $(OBJ) $(LIBS)
		@echo $(OBJ1)+ >  __link__.tmp
		@echo $(OBJ2)+ >> __link__.tmp
		@echo $(OBJ3)+ >> __link__.tmp
		@echo $(OBJ4)  >> __link__.tmp
		@echo $@/NOI/CO >> __link__.tmp
		@echo mg;      >> __link__.tmp
		link @__link__.tmp
		@del __link__.tmp


$(OBJ):		def.h sysdef.h ttydef.h

sysdef.h:	sys/$(SYS)/sysdef.h	# Update links, if needed.
		copy sys/$(SYS)/sysdef.h

ttydef.h:	tty/$(TTY)/ttydef.h
		copy tty/$(TTY)/ttydef.h

fileio.c:	sys/$(SYS)/fileio.c
		copy sys/$(SYS)/fileio.c

spawn.c:	sys/$(SYS)/spawn.c
		copy sys/$(SYS)/spawn.c

tty.c:		tty/$(TTY)/tty.c
		copy tty/$(TTY)/tty.c

ttyio.c:	sys/$(SYS)/ttyio.c
		copy sys/$(SYS)/ttyio.c

ttykbd.c:	tty/$(TTY)/ttykbd.c
		copy tty/$(TTY)/ttykbd.c

pollkbd.asm	tty/$(TTY)/pollkbd.asm
		copy tty/$(TTY)/pollkbd.asm

pollkbd.obj:	pollkbd.asm
		masm pollkbd,pollkbd/ml;

clean:;		-del $(OBJ) $(OSRCS) $(OINCS)
